#################################################################################################################
# NOTE!!!!:
# customised version of rook/cluster/examples/kubernetes/ceph/cluster-external.yaml changing name and namespace
#
# Define the settings for the rook-ceph-external cluster with common settings for a production cluster.

# For example, if Rook is not managing any existing cluster in the 'rook-ceph' namespace do:
#   kubectl create -f common.yaml
#   kubectl create -f operator.yaml
#   kubectl create -f cluster-external.yaml

# If there is already a cluster managed by Rook in 'rook-ceph' then do:
#   kubectl create -f common-external.yaml
#   kubectl create -f cluster-external.yaml
#################################################################################################################
apiVersion: ceph.rook.io/v1
kind: CephCluster
metadata:
  name: rook-ceph
  namespace: rook-ceph # namespace:cluster
spec:
  external:
    enable: true
  crashCollector:
    disable: true
  healthCheck:
    daemonHealth:
      mon:
        disabled: false
        interval: 45s
  dataDirHostPath: /var/lib/rook
  # providing an image is optional, do this if you want to create other CRs (rgw, mds, nfs)
  cephVersion:
    # image: ceph/ceph:v14.2.9 # Should match external cluster version
    # image: ceph/ceph:v15.2.3 # Should match external cluster version
    image: ceph/ceph:v15.2.6 # Should match external cluster version
